KDE 4.7 PyKDE API Reference

- KDE's Python API

# TagCloud Class Reference

`from PyKDE4.nepomuk import *`

Inherits: KTagCloudWidget → QWidget
Namespace: Nepomuk

## Detailed Description

Tag cloud widget that displays all tags stored in the local Nepomuk store.

## Signals
| tagClicked (Nepomuk.Tag a0)
## Methods
| __init__ (self, QWidget parent=0)
bool | autoUpdate (self)
| setAutoUpdate (self, bool enable)
| updateTags (self)

## Signal Documentation

tagClicked | ( | Nepomuk.Tag | a0
| ) |  |  |

This signal is emitted whenever a tag is clicked.

\sa KTagCloudWidget.tagClicked

Signal syntax:
  `QObject.connect(source, SIGNAL("tagClicked(Nepomuk::Tag)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Create a new TagCloud widget. The widget will be populated immediately.

bool autoUpdate | ( |  | self ) |

Returns:
  true if auto updating is enabled (the default).

\sa setAutoUpdate

setAutoUpdate | ( | self, |
|  | bool | enable
| ) |  |  |

If auto updating is enabled the tag cloud is updated regularly to keep in sync with the local Nepomuk store.

\sa updateTags

updateTags | ( |  | self ) |

Update the tag cloud, ie. reload all tags from the store and recalculate their importance.

There is no need to call this unless auto updating is disabled.

\sa setAutoUpdate